#define __OCICPP_INTERNAL_USE_

#include "OraLabel.h"

OraLabel::OraLabel(OCIEnv *envhp,OCIError *errhp,OCIParam *paramd,ub2 type) : 
				OraType(envhp,errhp,paramd,type)
{
	ReqType=SQLT_STR; /* Request a Null-terminating string */
	size=255;
	DEBUG(DLEV_DEBUG,"Constructing: ColName:%s ColType:%s ColSize:%d\n",attrName.c_str(),typeName.c_str(),size);
}

OraLabel::~OraLabel() {
	OCIHandleFree(definehp,OCI_HTYPE_DEFINE);
}

void OraLabel::getStr(string &str) {
	if(data) str.assign(data);
	else throw new OraError("OCICPPLIB: Cannot getStr: Not fetched yet",OCICPPERROR);
}

void OraLabel::define(OCIStmt *stmt,int col) {
	 CHECKERR(err, OCIDefineByPos(stmt, &definehp, err, col+1, data, size+1,ReqType,
	                                (dvoid *) &null, 0, (ub2 *)0, OCI_DEFAULT));
}